local BS = AceLibrary("Babble-Spell-2.2");

--No baseincrease: Mind Flay, starshards, circle of healing, devouring plague, vampiric touch, SW: D, SW: P

function DrDamage:PriestData()

	local PriestTable = {

		spellInfo = { 
			[BS["Mind Flay"]] = {
						[0] = { School = "Shadow", castTime=3, sFactor = 0.665, sTicks = 1, },
						[1] = { 75, 75, spellLevel = 20, maxLevel = 27, },
						[2] = { 126, 126, spellLevel = 28, maxLevel = 35, },
						[3] = { 186, 186, spellLevel = 36, maxLevel = 43, },
						[4] = { 261, 261, spellLevel = 44, maxLevel = 51, },
						[5] = { 330, 330, spellLevel = 52, maxLevel = 59, },
						[6] = { 426, 426, spellLevel = 60, maxLevel = 67, },
						[7] = { 528, 528, spellLevel = 68, maxLevel = 70, },
			},		
			[BS["Devouring Plague"]] = {
						[0] = { School = "Shadow", eDot = true, eDuration = 24, sFactor = 0.5, Cooldown = 180, sTicks = 3, },
						[1] = { 152, 152, spellLevel = 20, maxLevel = 27, },
						[2] = { 272, 272, spellLevel = 28, maxLevel = 35, },
						[3] = { 400, 400, spellLevel = 36, maxLevel = 43, },
						[4] = { 544, 544, spellLevel = 44, maxLevel = 51, },
						[5] = { 712, 712, spellLevel = 52, maxLevel = 59, },
						[6] = { 904, 904, spellLevel = 60, maxLevel = 67, },
						[7] = { 1216, 1216, spellLevel = 68, maxLevel = 70, },
			},
			[BS["Shadow Word: Pain"]] = {
						[0] = { School = "Shadow", eDot = true, eDuration = 18, bonusFactor = 1.2 * 0.915, sTicks = 3, },
						[1] = { 30, 30, spellLevel = 4, maxLevel = 9, },
						[2] = { 66, 66, spellLevel = 10, maxLevel = 17, },
						[3] = { 132, 132, spellLevel = 18, maxLevel = 25, },
						[4] = { 234, 234, spellLevel = 26, maxLevel = 33, },
						[5] = { 366, 366, spellLevel = 34, maxLevel = 41, },
						[6] = { 510, 510, spellLevel = 42, maxLevel = 49, },	
						[7] = { 672, 672, spellLevel = 50, maxLevel = 57, },
						[8] = { 852, 852, spellLevel = 58, maxLevel = 64, },
						[9] = { 1002, 1002, spellLevel = 65, maxLevel = 70, },
						[10] = { 1236, 1236, spellLevel = 70, maxLevel = 70, },
			},
			[BS["Vampiric Touch"]] = {
						[0] = { School = "Shadow", eDot = true, eDuration = 15, sTicks = 3, Downrank = -2, },
						[1] = { 450, 450, spellLevel = 50, maxLevel = 59, },
						[2] = { 600, 600, spellLevel = 60, maxLevel = 69, },	
						[3] = { 650, 650, spellLevel = 70, maxLevel = 70, },	
			},		
			[BS["Shadow Word: Death"]] = {
						[0] = { School = "Shadow", canCrit = true, Cooldown = 6, },
						[1] = { 450, 522, spellLevel = 62, maxLevel = 69, },
						[2] = { 572, 664, spellLevel = 70, maxLevel = 70, },				
			},		
			[BS["Mind Blast"]] = {
						[0] = { School = "Shadow", canCrit = true, Cooldown = 8, Downrank = 2, BaseIncrease = true, },
						[1] = { 39, 43, 3, 3, spellLevel = 10, maxLevel = 15, },
						[2] = { 72, 78, 4, 5, spellLevel = 16, maxLevel = 21, },
						[3] = { 112, 120, 5, 6, spellLevel = 22, maxLevel = 27, },
						[4] = { 167, 177, 7, 7, spellLevel = 28, maxLevel = 33, },
						[5] = { 217, 231, 8, 8, spellLevel = 34, maxLevel = 39, },
						[6] = { 279, 297, 9, 10, spellLevel = 40, maxLevel = 45, },
						[7] = { 346, 366, 10, 11, spellLevel = 46, maxLevel = 51, },
						[8] = { 425, 449, 12, 12, spellLevel = 52, maxLevel = 57, },
						[9] = { 503, 531, 13, 13, spellLevel = 58, maxLevel = 62, },
						[10] = { 557, 587, 14, 15, spellLevel = 63, maxLevel = 68, },
						[11] = { 708, 748, 3, 4, spellLevel = 69, maxLevel = 70, },
			},
			[BS["Power Word: Shield"]] = {
						[0] = { School = "Holy", Healing = true, bonusFactor = 0.2, Cooldown = 4, NoDPS = true, NoDebuffs = true, NoDoom = true, BaseIncrease = true, },
						[1] = { 44, 44, 4, 4, spellLevel = 6, maxLevel = 11, },
						[2] = { 88, 88, 6, 6, spellLevel = 12, maxLevel = 17, },
						[3] = { 158, 158, 8, 8, spellLevel = 18, maxLevel = 23, },
						[4] = { 234, 234, 10, 10, spellLevel = 24, maxLevel = 29, },
						[5] = { 301, 301, 11, 11, spellLevel = 30, maxLevel = 35, },
						[6] = { 381, 381, 13, 13, spellLevel = 36, maxLevel = 41, },
						[7] = { 484, 484, 15, 15, spellLevel = 42, maxLevel = 47, },
						[8] = { 605, 605, 17, 17, spellLevel = 48, maxLevel = 53, },
						[9] = { 763, 763, 19, 19, spellLevel = 54, maxLevel = 59, },
						[10] = { 942, 942, 21, 21, spellLevel = 60, maxLevel = 64, },
						[11] = { 1147, 1147, 16, 16, spellLevel = 65, maxLevel = 69, }, --TODO RANKS 11 - 12
						[12] = { 1315, 1315, 0, 0, spellLevel = 70, maxLevel = 70, },
			},
			[BS["Heal"]] = {
						[0] = { School = { "Holy", "Healing" }, canCrit = true, castTime = 3, CastMod = 0.1, BaseIncrease = true, },
						[1] = { 295, 341, 12, 12, spellLevel = 16, maxLevel = 21, },
						[2] = { 429, 491, 16, 16, spellLevel = 22, maxLevel = 27, },
						[3] = { 566, 642, 20, 20, spellLevel = 28, maxLevel = 33, },
						[4] = { 712, 804, 22, 23, spellLevel = 34, maxLevel = 39, },				
			},
			[BS["Lesser Heal"]] = {
						[0] = { School = { "Holy", "Healing" }, canCrit = true, castTime = 2.5, },
						[1] = { 46, 56, spellLevel = 1, maxLevel = 3, castTime = 1.5, Downrank = 4 },
						[2] = { 71, 85, spellLevel = 4, maxLevel = 9, castTime = 2, },
						[3] = { 135, 157, spellLevel = 10, maxLevel = 15, },			
			},			
			[BS["Greater Heal"]] = {
						[0] = { School = { "Holy", "Healing" }, canCrit = true, castTime = 3, CastMod = 0.1, BaseIncrease = true, },
						[1] = { 899, 1013, 25, 26, spellLevel = 40, maxLevel = 45, },
						[2] = { 1149, 1289, 29, 29, spellLevel = 46, maxLevel = 51, },
						[3] = { 1437, 1609, 33, 33, spellLevel = 52, maxLevel = 57, },
						[4] = { 1798, 2006, 37, 38, spellLevel = 58, maxLevel = 59, },
						[5] = { 1966, 2194, 40, 41, spellLevel = 60, maxLevel = 66, },
						[6] = { 2074, 2410, 33, 34, spellLevel = 63, maxLevel = 67, },
						[7] = { 2396, 2784, 18, 19, spellLevel = 68, maxLevel = 70, },					
			},
			[BS["Prayer of Healing"]] = {
						[0] = { School = { "Holy", "Healing" }, canCrit = true, castTime = 3, Healing = true, sFactor = 1/3, Downrank = -4, BaseIncrease = true, },
						[1] = { 301, 321, 11, 12, spellLevel = 30, maxLevel = 39, },
						[2] = { 444, 472, 14, 15, spellLevel = 40, maxLevel = 49, },
						[3] = { 657, 695, 15, 18, spellLevel = 50, maxLevel = 59, },
						[4] = { 939, 991, 14, 15, spellLevel = 60, maxLevel = 66, },
						[5] = { 997, 1053, 22, 23, spellLevel = 60, maxLevel = 67, },
						[6] = { 1246, 1316, 5, 6, spellLevel = 68, maxLevel = 70, },
			},
			[BS["Circle of Healing"]] = {
						[0] = { School = { "Holy", "Healing" }, sFactor = 1/3 },
						[1] = { 289, 319, spellLevel = 50, maxLevel = 55, },
						[2] = { 337, 372, spellLevel = 56, maxLevel = 59, },
						[3] = { 385, 426, spellLevel = 60, maxLevel = 64, },
						[4] = { 434, 479, spellLevel = 65, maxLevel = 69, },
						[5] = { 475, 525, spellLevel = 70, maxLevel = 70, },
			},		
			[BS["Flash Heal"]] = {
						[0] = { School = { "Holy", "Healing" }, canCrit = true, BaseIncrease = true, },
						[1] = { 193, 237, 9, 10, spellLevel = 20, maxLevel = 25, },
						[2] = { 258, 314, 11, 11, spellLevel = 26, maxLevel = 31, },
						[3] = { 327, 393, 12, 13, spellLevel = 32, maxLevel = 37, },
						[4] = { 400, 478, 14, 14, spellLevel = 38, maxLevel = 43, },
						[5] = { 518, 616, 16, 17, spellLevel = 44, maxLevel = 51, Downrank = -2, },
						[6] = { 644, 764, 18, 19, spellLevel = 52, maxLevel = 57, },
						[7] = { 812, 958, 21, 21, spellLevel = 58, maxLevel = 60, Downrank = 3, },
						[8] = { 913, 1059, 18, 19, spellLevel = 61, maxLevel = 66, },
						[9] = { 1101, 1279, 15, 16, spellLevel = 67, maxLevel = 70, },
			},
			[BS["Desperate Prayer"]] = {
						--TODO: Get baseincrease
						[0] = { School = { "Holy", "Healing" }, canCrit = true, NoDoom = true, Downrank = -2 },
						[1] = { 134, 170, spellLevel = 10, maxLevel = 17, },
						[2] = { 263, 325, spellLevel = 18, maxLevel = 25, },
						[3] = { 447, 543, spellLevel = 26, maxLevel = 33, },
						[4] = { 588, 708, spellLevel = 34, maxLevel = 41, },
						[5] = { 834, 994, spellLevel = 42, maxLevel = 49, },
						[6] = { 1101, 1305, spellLevel = 50, maxLevel = 57, },
						[7] = { 1324, 1562, spellLevel = 58, maxLevel = 65, },
						[8] = { 1601, 1887, spellLevel = 66, maxLevel = 70, },
			},		
			[BS["Renew"]] = {
						[0] = { School = { "Holy", "Healing" }, eDot = true, eDuration = 15, sTicks = 3, },
						[1] = { 45, 45, spellLevel = 8, maxLevel = 13, },
						[2] = { 100, 100, spellLevel = 14, maxLevel = 19, },
						[3] = { 175, 175, spellLevel = 20, maxLevel = 25, },
						[4] = { 245, 245, spellLevel = 26, maxLevel = 31, },
						[5] = { 315, 315, spellLevel = 32, maxLevel = 37, },
						[6] = { 400, 400, spellLevel = 38, maxLevel = 43, },
						[7] = { 510, 510, spellLevel = 44, maxLevel = 49, },
						[8] = { 650, 650, spellLevel = 50, maxLevel = 55, },
						[9] = { 810, 810, spellLevel = 56, maxLevel = 59, },
						[10] = { 970, 970, spellLevel = 60, maxLevel = 64, },
						[11] = { 1010, 1010, spellLevel = 65, maxLevel = 69, },
						[12] = { 1110, 1110, spellLevel = 70, maxLevel = 70, },
			},
			[BS["Binding Heal"]] = {
						[0] = { School = { "Holy", "Healing" }, canCrit = true, BaseIncrease = true, },
						[1] = { 1042, 1338, 11, 12, spellLevel = 64, maxLevel = 70, },
			},
			[BS["Prayer of Mending"]] = {
						[0] = { School = { "Holy", "Healing" }, canCrit = true, Cooldown = 10, sHits = 5, sFactor = 5 },
						[1] = { 800, 800, spellLevel = 68, maxLevel = 70, },
			},			
			[BS["Smite"]] = {
						[0] = { School = "Holy", canCrit = true, castTime=2.5, CastMod = 0.1, BaseIncrease = true, },
						[1] = { 13, 17, 2, 3, spellLevel = 1, maxLevel = 5, castTime = 1.5, },
						[2] = { 25, 31, 3, 3,  spellLevel = 6, maxLevel = 13, castTime = 2.0, },
						[3] = { 54, 62, 4, 5, spellLevel = 14, maxLevel = 21, },
						[4] = { 91, 105, 6, 7, spellLevel = 22, maxLevel = 29, },
						[5] = { 150, 170, 8, 8, spellLevel = 30, maxLevel = 37, },
						[6] = { 212, 240, 10, 10, spellLevel = 38, maxLevel = 45, },
						[7] = { 287, 323, 12, 12, spellLevel = 46, maxLevel = 53, },
						[8] = { 371, 415, 13, 14, spellLevel = 54, maxLevel = 60, },
						[9] = { 405, 453, 17, 17, spellLevel = 61, maxLevel = 68, },
						[10] = { 545, 611, 4, 5, spellLevel = 69, maxLevel = 70, },					
			},
			[BS["Holy Fire"]] = {
						[0] = { School = "Holy", canCrit = true, castTime=3.5, eDuration = 10, sTicks = 2, CastMod = 0.1, hybridFactor = 0.75, Downrank = 2, BaseIncrease = true, },
						[1] = { 78, 98, 6, 6, hybridDotDmg= 30, spellLevel = 20, maxLevel = 23, },
						[2] = { 96, 120, 10, 11, hybridDotDmg= 40, spellLevel = 24, maxLevel = 29, },
						[3] = { 132, 166, 12, 12, hybridDotDmg= 55, spellLevel = 30, maxLevel = 35, },
						[4] = { 165, 209, 13, 14, hybridDotDmg= 65, spellLevel = 36, maxLevel = 41, },
						[5] = { 204, 258, 15, 15, hybridDotDmg= 85, spellLevel = 42, maxLevel = 47, },
						[6] = { 254, 322, 17, 18, hybridDotDmg= 100, spellLevel = 48, maxLevel = 53, },
						[7] = { 304, 386, 19, 20, hybridDotDmg= 125, spellLevel = 54, maxLevel = 59, },
						[8] = { 355, 449, 20, 21, hybridDotDmg= 145, spellLevel = 60, maxLevel = 65, },
						[9] = { 412, 522, 14, 15, hybridDotDmg= 165, spellLevel = 66, maxLevel = 70, },					
			},
			[BS["Holy Nova"]] = {
						[0] = { School = "Holy", canCrit = true, sFactor = 1/3 * 0.8, BaseIncrease = true, }, --hFactor = 0.11
						[1] = { 28, 32, 1, 2, 52, 60, 2, 3, spellLevel = 20, maxLevel = 27, },
						[2] = { 50, 58, 2, 3, 86, 98, 3, 3, spellLevel = 28, maxLevel = 35, },
						[3] = { 76, 88, 3, 4, 121, 139, 3, 4, spellLevel = 36, maxLevel = 43, },
						[4] = { 106, 123, 4, 4, 161, 188, 4, 4, spellLevel = 44, maxLevel = 51, },
						[5] = { 140, 163, 6, 5, 235, 272, 4, 4, spellLevel = 52, maxLevel = 59, },
						[6] = { 181, 210, 7, 7, 302, 350, 5, 6, spellLevel = 60, maxLevel = 67, },
						[7] = { 242, 280, 2, 3, 384, 446, 2, 2, spellLevel = 68, maxLevel = 70, },
			},
			[BS["Starshards"]] = {
						[0] = { School = "Arcane", castTime = 6, },
						[1] = { 84, 84, spellLevel = 10, maxLevel = 17, },
						[2] = { 162, 162, spellLevel = 18, maxLevel = 25, },
						[3] = { 288, 288, spellLevel = 26, maxLevel = 33, },
						[4] = { 414, 414, spellLevel = 34, maxLevel = 41, },
						[5] = { 570, 570, spellLevel = 42, maxLevel = 49, },
						[6] = { 756, 756, spellLevel = 50, maxLevel = 57, },
						[7] = { 936, 936, spellLevel = 58, maxLevel = 65, },
						[8] = { 1128, 1128, spellLevel = 66, maxLevel = 70, },
			},				
		},

		talentInfo = { 
			--SHADOW:
			["Shadow Focus"] = { Effect = 2, Spells = { "Shadow", }, ModType = "Hit" },
			["Darkness"] = { Effect = 0.02, Spells = { "Shadow" }, },
			["Improved Shadow Word: Pain"] = { Effect = 3, Spells = { "Shadow Word: Pain" }, ModType = "SpellDuration", },
			["Shadow Power"] = { Effect = 3, Spells = { "Mind Blast", "Shadow Word: Death" }, ModType = "Crit", },
			["Improved Mind Blast"] = { Effect = 0.5, Spells = { "Mind Blast" }, ModType = "Cooldown" },
			--HOLY:
			["Improved Renew"] = { Effect = 0.05, Spells = { "Renew" }, },
			["Divine Fury"] = { Effect = 1, Spells = { "Smite", "Holy Fire", "Heal", "Greater Heal" }, ModType = "CastTime", },
			["Searing Light"] = { Effect = 0.05, Spells = { "Smite", "Holy Fire" }, },
			["Spiritual Healing"] = { Effect = 0.02, Spells = { "Healing" }, },
			["Empowered Healing"] = { Effect = 0.04, Spells = { "Greater Heal" }, ModType = "SpellDamage", Effect2 = 0.02, Spells2 = { "Flash Heal" }, ModType2 = "SpellDamage", },
			--DISCIPLINE:
			["Improved Power Word: Shield"] = { Effect = 0.05, Spells = { "Power Word: Shield" }, },
			["Force of Will"] = { Effect = 1, Spells = { "Smite", "Holy Fire", "Mind Blast", "Shadow Word: Death", }, ModType = "Crit", Effect2 =  0.01, Spells2 = { "Smite", "Holy Fire", "Starshards", "Shadow", }, },
		},
	}
	
	return PriestTable["spellInfo"], PriestTable["talentInfo"]
end